Loading...
Searching...
No Matches
RangeIdMap< GR, K >::InverseMap Class Reference

## Detailed Description

template<typename GR, typename K>
class lemon::RangeIdMap< GR, K >::InverseMap

The inverse map type of RangeIdMap. The subscript operator gives back an item by its range id. This type conforms to the ReadMap concept.

`#include <lemon/maps.h>`

## Public Types

typedef RangeIdMap::Key | Value
| The value type of the InverseMap.
typedef RangeIdMap::Value | Key
| The key type of the InverseMap.

## Public Member Functions

| InverseMap (const RangeIdMap &inverted)
| Constructor.
Value | operator[] (const Key &key) const
| Subscript operator.
unsigned int | size () const
| Size of the map.

## Constructor & Destructor Documentation

## InverseMap()

template<typename GR, typename K>

InverseMap | ( | const RangeIdMap & | inverted | ) |

inline explicit

Constructor of the InverseMap.

## Member Function Documentation

## operator[]()

template<typename GR, typename K>

Value operator[] | ( | const Key & | key | ) | const

inline

Subscript operator. It gives back the item that the given range id currently belongs to.

## size()

template<typename GR, typename K>

unsigned int size | ( |  | ) | const

inline

Returns the size of the map.